using SewingDressesContracts.BindingModels;
using SewingDressesContracts.SearchModels;
using SewingDressesContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SewingDressesContracts.StoragesContracts
{
	public interface IImplementStorage
	{
		List<ImplementViewModel> GetFullList();
		List<ImplementViewModel> GetFilteredList(ImplementSearchModel model);
		ImplementViewModel? GetElement(ImplementSearchModel model);
		ImplementViewModel? Insert(ImplementBindingModel? model);
		ImplementViewModel? Update(ImplementBindingModel? model);
		ImplementViewModel? Delete(ImplementBindingModel? model);
		
	}
}
